:root,
:root[data-color-scheme=light],
:root[data-color-scheme=dark] {
  color-scheme: light;
  --primary: #066566;
  --secondary: #06A2A2;
  --accent: #D5EFEF;
  --primary-fg: #fff;

  --body-fg: #333;
  --body-bg: #fff;
  --body-quiet-color: #666;
  --body-loud-color: #000;

  --header-color: #ffc;
  --header-branding-color: var(--accent);
  --header-bg: var(--secondary);
  --header-link-color: var(--primary-fg);

  --breadcrumbs-fg: #c4dce8;
  --breadcrumbs-link-fg: var(--body-bg);
  --breadcrumbs-bg: var(--primary);

  --link-fg: #06A2A2;
  --link-hover-color: #036;
  --link-selected-fg: #5b80b2;

  --hairline-color: #e8e8e8;
  --border-color: #ccc;
  --border-color-2: #e5e5e5;

  --error-fg: #ba2121;

  --message-success-bg: #dfd;
  --message-warning-bg: #ffc;
  --message-error-bg: #ffefef;

  --darkened-bg: #f8f8f8;
  /* A bit darker than --body-bg */
  --selected-bg: #e4e4e4;
  /* E.g. selected table cells */
  --darkened-bg-2: #f5f5f5;
  --darkened-bg-3: #fafafa;
  --darkened-bg-4: #aaa;
  --selected-row: #ffc;

  --button-fg: #fff;
  --button-bg: #066566;
  --button-hover-bg: #074748;

  --default-button-bg: #30B2B2;
  --default-button-hover-bg: #068484;


  --close-button-bg: #888;
  /* Previously #bbb, contrast 1.92 */
  --close-button-hover-bg: #747474;
  --delete-button-bg: #ba2121;
  --delete-button-hover-bg: #a41515;

  --object-tools-fg: var(--button-fg);
  --object-tools-bg: var(--close-button-bg);
  --object-tools-hover-bg: var(--close-button-hover-bg);

  --dca-light-mode: 1;
  --dca-dark-mode: 0;
  --dca-white: #FFFFFF;
  --dca-black: #000000;
  --dca-shadow: 0, 0, 0;
  --dca-primary: #00bbff;
  --dca-gray: #666;
  --dca-gray-lightest: #f2f2f2;
  --dca-gray-lighter: #ddd;
  --dca-gray-light: #999;
  --dca-gray-darker: #454545;
  --dca-gray-darkest: #333;
  --dca-gray-super-lightest: #f7f7f7;
  --active-brightness: 0.9;
  --focus-brightness: 0.95;
}

@media (prefers-color-scheme: dark) {
  :root:not([data-color-scheme]) {
    color-scheme: light;
    --primary: #066566;
    --secondary: #06A2A2;
    --accent: #D5EFEF;
    --primary-fg: #fff;

    --body-fg: #333;
    --body-bg: #fff;
    --body-quiet-color: #666;
    --body-loud-color: #000;

    --header-color: #ffc;
    --header-branding-color: var(--accent);
    --header-bg: var(--secondary);
    --header-link-color: var(--primary-fg);

    --breadcrumbs-fg: #c4dce8;
    --breadcrumbs-link-fg: var(--body-bg);
    --breadcrumbs-bg: var(--primary);

    --link-fg: #06A2A2;
    --link-hover-color: #036;
    --link-selected-fg: #5b80b2;

    --hairline-color: #e8e8e8;
    --border-color: #ccc;
    --border-color-2: #e5e5e5;

    --error-fg: #ba2121;

    --message-success-bg: #dfd;
    --message-warning-bg: #ffc;
    --message-error-bg: #ffefef;

    --darkened-bg: #f8f8f8;
    /* A bit darker than --body-bg */
    --selected-bg: #e4e4e4;
    /* E.g. selected table cells */
    --darkened-bg-2: #f5f5f5;
    --darkened-bg-3: #fafafa;
    --darkened-bg-4: #aaa;
    --selected-row: #ffc;

    --button-fg: #fff;
    --button-bg: #066566;
    --button-hover-bg: #074748;

    --default-button-bg: #30B2B2;
    --default-button-hover-bg: #068484;


    --close-button-bg: #888;
    /* Previously #bbb, contrast 1.92 */
    --close-button-hover-bg: #747474;
    --delete-button-bg: #ba2121;
    --delete-button-hover-bg: #a41515;

    --object-tools-fg: var(--button-fg);
    --object-tools-bg: var(--close-button-bg);
    --object-tools-hover-bg: var(--close-button-hover-bg);

    --dca-light-mode: 1;
    --dca-dark-mode: 0;
    --dca-white: #FFFFFF;
    --dca-black: #000000;
    --dca-shadow: 0, 0, 0;
    --dca-primary: #00bbff;
    --dca-gray: #666;
    --dca-gray-lightest: #f2f2f2;
    --dca-gray-lighter: #ddd;
    --dca-gray-light: #999;
    --dca-gray-darker: #454545;
    --dca-gray-darkest: #333;
    --dca-gray-super-lightest: #f7f7f7;
    --active-brightness: 0.9;
    --focus-brightness: 0.95;
  }
}
/*----------------------------------------*/
.group ul,
.dashboard-module,
.dashboard-placeholder,
#dashboard-panel ul li {
  border-color: var(--border-color-2);
  border-radius: 0;
}

.group .ui-state-default,
.dashboard-module-content {
  border-color: var(--border-color-2);
}

#dashboard-panel h3 a {
  background: var(--body-bg);
}

.group ul {
  border: 0;
  background: var(--body-bg);
}

.dashboard-module.ui-tabs-panel,
.group .ui-state-default,
.group-accordion .group-accordion-header.ui-state-default,
#dashboard-panel ul li,
.dashboard-module ul li {
  background: var(--body-bg);
}



.group .ui-state-default a {
  color: var(--darkened-bg-4);
}

.group .ui-tabs-active,
.group .ui-state-default:hover,
.dashboard-placeholder {
  background-color: var(--body-fg);
}

.dashboard-module h2 {
  background-color: var(--darkened-bg);
  color: var(--body-fg);
}

.dashboard-module h3 {
  background-color: var(--darkened-bg-3);
  color: var(--body-quiet-color);
}

.dashboard-module ul li.odd {
  background-color: var(--darkened-bg-2);
}

.dashboard-module ul li.even {
  background-color: var(--body-bg);
}

.dashboard-module ul li:hover {
  background: var(--accent);
  color: var(--body-fg);
}

.dashboard-module ul li:hover ul li {
  background: var(--accent);
  /*color: var(--body-fg);*/
}

.dashboard-module h2 a.toggle-icon,
.dashboard-module h2 a.close-icon {
  filter: invert(0);
}

.module h2,
.module caption,
.inline-group h2{

}

@media (prefers-color-scheme: dark) {

  .group ul,
  .dashboard-module,
  .dashboard-placeholder,
  #dashboard-panel ul li {
    border-color: var(--border-color-2);
    border-radius: 0;
  }

  .group .ui-state-default,
  .dashboard-module-content {
    border-color: var(--border-color-2);
  }

  #dashboard-panel h3 a {
    background: var(--body-bg);
  }

  .group ul {
    border: 0;
    background: var(--body-bg);
  }

  .dashboard-module.ui-tabs-panel,
  .group .ui-state-default,
  .group-accordion .group-accordion-header.ui-state-default,
  #dashboard-panel ul li,
  .dashboard-module ul li {
    background: var(--body-bg);
  }



  .group .ui-state-default a {
    color: var(--darkened-bg-4);
  }

  .group .ui-tabs-active,
  .group .ui-state-default:hover,
  .dashboard-placeholder {
    background-color: var(--body-fg);
  }

  .dashboard-module h2 {
    background-color: var(--darkened-bg);
    color: var(--body-fg);
  }

  .dashboard-module h3 {
    background-color: var(--darkened-bg-3);
    color: var(--body-quiet-color);
  }

  .dashboard-module ul li.odd {
    background-color: var(--darkened-bg-2);
  }

  .dashboard-module ul li.even {
    background-color: var(--body-bg);
  }

  .dashboard-module ul li:hover {
    background: var(--accent);
    color: var(--body-fg);
  }

  .dashboard-module ul li:hover ul li {
    background: var(--accent);
    /*color: var(--body-fg);*/
  }

  .dashboard-module h2 a.toggle-icon,
  .dashboard-module h2 a.close-icon {
    filter: invert(0);
  }
}

.dashboard-module-content a {
  color: var(--secondary);
}

/* Submit buttons CMS */
.submit-row .cms-btn-group.cms-btn-active {
  background: var(--secondary);
}

.submit-row .cms-btn-group {
  color: var(--secondary);
}

.submit-row .cms-btn-group:hover {
  transition: all .2s ease-in-out;
  background: var(--secondary);
  color: var(--body-bg);
}

/* Submit buttons CMS */

/* Language buttons */
#page_form_lang_tabs .language_button.selected {
  background: var(--secondary);
}

#page_form_lang_tabs .language_button {
  color: var(--secondary);
}

#page_form_lang_tabs .language_button:hover {
  transition: all .2s ease-in-out;
  background: var(--secondary);
  color: var(--body-bg);
}

/* Language buttons */

/* Tabs */
.ui-tabs .ui-tabs-nav li a {
  background: var(--body-bg);
}

.ui-tabs .ui-tabs-nav li.ui-tabs-active a,
.ui-tabs .ui-tabs-nav li.ui-tabs-selected a {
  background: var(--secondary);
}

/* Tabs */
